mod response;
mod status_code;

pub use response::{Error as ResponseError, Response};
pub use status_code::StatusCode;

#[cfg(feature = "client")]
mod client;
#[cfg(feature = "client")]
pub use client::{get, Error as ClientError};

#[cfg(feature = "server")]
mod server;
#[cfg(feature = "server")]
pub use server::{Handler, serve, serve_plain};
